Package io.vertx.rxjava3.ext.web.validation.builder

## Class StyledParameterProcessorFactory

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.builder.StyledParameterProcessorFactory

-     public class StyledParameterProcessorFactory
      extends Object

  This interface is used to build complex parameter processors supported only in cookie & query.

  Look at `Parameters` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<StyledParameterProcessorFactory>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyledParameterProcessorFactory​(StyledParameterProcessorFactory delegate)` |
    `StyledParameterProcessorFactory​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.vertx.ext.web.validation.impl.parameter.ParameterProcessor` | `create​(io.vertx.ext.web.validation.impl.ParameterLocation location, SchemaRepository repository)` |
    `boolean` | `equals​(Object o)` |
    `StyledParameterProcessorFactory` | `getDelegate()` |
    `int` | `hashCode()` |
    `static StyledParameterProcessorFactory` | `newInstance​(StyledParameterProcessorFactory arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<StyledParameterProcessorFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### StyledParameterProcessorFactory

          public StyledParameterProcessorFactory​(StyledParameterProcessorFactory delegate)

    - #### StyledParameterProcessorFactory

          public StyledParameterProcessorFactory​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public StyledParameterProcessorFactory getDelegate()

    - #### create

          public io.vertx.ext.web.validation.impl.parameter.ParameterProcessor create​(io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                                                      SchemaRepository repository)

    - #### newInstance

          public static StyledParameterProcessorFactory newInstance​(StyledParameterProcessorFactory arg)